You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
gentoo-overlay/dev-util/herdtools7/files/herdtools7-7.47-mkdir.patch

22 lines
318 B

diff --git a/install.sh b/install.sh
index 72f6163..e84c645 100755
--- a/install.sh
+++ b/install.sh
@@ -17,6 +17,16 @@ fi
BINDIR=$PREFIX/bin
LIBDIR=$PREFIX/share/herdtools7
+if ! [ -d $BINDIR ]
+then
+ mkdir -p $BINDIR
+fi
+
+if ! [ -d $LIBDIR ]
+then
+ mkdir -p $LIBDIR
+fi
+
cpbin () {
SUB=$1
EXECS="$2"